Package weka.core.logging

# Class OutputLogger

java.lang.Object
weka.core.logging.Logger
weka.core.logging.ConsoleLogger
weka.core.logging.FileLogger
weka.core.logging.OutputLogger

All Implemented Interfaces:
  `RevisionHandler`

public class OutputLogger extends FileLogger
A logger that logs all output on stdout and stderr to a file.

Version:
  $Revision: 4716 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`OutputLogger.OutputPrintStream`
A print stream class to capture all data from stdout and stderr.

## Nested classes/interfaces inherited from class weka.core.logging.Logger

`Logger.Level`

## Field Summary

### Fields inherited from class weka.core.logging.Logger

`PROPERTIES_FILE`

## Constructor Summary

Constructors
Constructor
Description
`OutputLogger()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class weka.core.logging.Logger

`getMinLevel, getSingleton, log, log`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OutputLogger

public OutputLogger()

## Method Details

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `FileLogger`
Returns:
  the revision